<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_Block_Checkout_Success_Js extends Mage_Core_Block_Template
{
    /**
     * Initialize Checkout Success Js template
     *
     */
    public function __construct()
    {
        parent::__construct();
        $this->setTemplate('i4mdirector/checkout/success/js.phtml');
    }

    /**
     * Return notify url
     *
     * @param int $orderId
     * @return string
     */
    public function getNotifyUrl($orderId)
    {
        return Mage::getUrl('i4mdirector/sale/notify', array('order' => $orderId));
    }

    public function getOrderId(){
        return Mage::getSingleton('checkout/session')->getLastOrderId();
    }

    /**
     * Prevent displaying if the pixel is not available
     *
     * @return string
     */
    protected function _toHtml()
    {
        if (!Mage::helper('i4mdirector')->isPixelEnabled() && !Mage::helper('i4mdirector')->getDataId()) {
            return '';
        }
        return parent::_toHtml();
    }
}
