<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_Model_Api_Contact extends Interactiv4_MDirector_Model_Api_Abstract
{
    protected $_resource = 'api_contact';

    /**
     * Create New Contact
     *
     * @param array $data
     * @return array
     */
    public function create(array $data)
    {
        return $this->request($this->getUrl(), $data, Zend_Oauth_Client::POST);
    }

    /**
     * Update Contact
     *
     * @param array $data
     * @return array
     */
    public function update(array $data)
    {
        return $this->request($this->getUrl(), $data, Zend_Oauth_Client::PUT);
    }

    /**
     * Retrieve Contact
     *
     * @param array $data
     * @return array
     */
    public function fetch(array $data)
    {
        return $this->request($this->getUrl(), $data, Zend_Oauth_Client::GET);
    }

    /**
     * Delete Contact
     *
     * @param array $data
     * @return array
     */
    public function delete(array $data)
    {
        return $this->request($this->getUrl(), $data, Zend_Oauth_Client::DELETE);
    }
}
