<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_Model_Api_Param extends Interactiv4_MDirector_Model_Api_Abstract
{
    const TYPE_TEXT     = 1;
    const TYPE_NUMERIC  = 2;
    const TYPE_DATE     = 3;

    protected $_resource = 'api_free-param';

    /**
     * Create New Free Param
     *
     * @param array $data
     * @return array
     */
    public function create(array $data)
    {
        return $this->request($this->getUrl(), $data, Zend_Oauth_Client::POST);
    }

    /**
     * Retrieve All Free Params
     *
     * @return array
     */
    public function fetch()
    {
        if ($this->isLoggedIn()) {
            return $this->request($this->getUrl());
        }
        return [];
    }

    /**
     * Delete Free Param
     *
     * @param array $data
     * @return array
     */
    public function delete(array $data)
    {
        return $this->request($this->getUrl(), $data, Zend_Oauth_Client::DELETE);
    }
}
