<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_Model_Api_Unsubscription extends Interactiv4_MDirector_Model_Api_Abstract
{
    protected $_resource = 'api_unsubscription';

    /**
     * Create New Unsubscription
     *
     * @param array $data
     * @return array
     */
    public function create(array $data)
    {
        return $this->request($this->getUrl(), $data, Zend_Oauth_Client::POST);
    }

    /**
     * Retrieve Unsubscription
     *
     * @param array $data
     * @return array
     */
    public function fetch(array $data)
    {
        return $this->request($this->getUrl(), $data, Zend_Oauth_Client::GET);
    }

    public function findByDate($startDate, $endDate = null, $format = 'json')
    {
        $data = array(
            'date'      => $startDate,
            'endDate'   => $endDate,
            'format'    => $format
        );
        $data = array_filter($data);
        return $this->request($this->getFindByDateUrl(), $data, Zend_Oauth_Client::GET);
    }

    /**
     * Delete Unsubscription
     *
     * @param array $data
     * @return array
     */
    public function delete(array $data)
    {
        return $this->request($this->getUrl(), $data, Zend_Oauth_Client::DELETE);
    }

    public function getFindByDateUrl()
    {
        return $this->getUrl() . '_find-by-date';
    }
}
