<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_Model_System_Config_Source_Contact_Attribute
{
    protected $_options;

    public function toOptionArray()
    {
        if (is_null($this->_options)) {
            $this->_options = array(
                array('value' => '', 'label' => Mage::helper('adminhtml')->__('-- Please select --')),
            );

            // Default Params
            $this->_options = array_merge($this->_options, array(
                array('value' => 'name', 'label' => Mage::helper('adminhtml')->__('First Name')),
                array('value' => 'surname1', 'label' => Mage::helper('adminhtml')->__('Middle Name')),
                array('value' => 'surname2', 'label' => Mage::helper('adminhtml')->__('Last Name')),
                array('value' => 'sex', 'label' => Mage::helper('adminhtml')->__('Gender')),
                array('value' => 'birthday', 'label' => Mage::helper('adminhtml')->__('Date Of Birth')),
                array('value' => 'reference', 'label' => Mage::helper('adminhtml')->__('Reference')),
                array('value' => 'movil', 'label' => Mage::helper('adminhtml')->__('Mobile')),
                array('value' => 'city', 'label' => Mage::helper('adminhtml')->__('City')),
                array('value' => 'province', 'label' => Mage::helper('adminhtml')->__('State/Province')),
                array('value' => 'country', 'label' => Mage::helper('adminhtml')->__('Country')),
                array('value' => 'cp', 'label' => Mage::helper('adminhtml')->__('Zip/Postal Code')),
            ));

            // Free Params
            $result = Mage::getSingleton('i4mdirector/api_param')->fetch();
            if (isset($result['data']) && is_array($result['data'])) {
                foreach ($result['data'] as $param) {
                    $this->_options[] = array(
                        'value' => $param['name'],
                        'label' => $param['name'],
                    );
                }
            }
        }
        return $this->_options;
    }
}
