<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_Model_System_Config_Source_Customer_Attribute
{
    protected $_options;

    public function toOptionArray()
    {
        if (is_null($this->_options)) {
            $this->_options = array(
                array('value' => '', 'label' => Mage::helper('adminhtml')->__('-- Please select --')),
            );

            // Customer Attributes
            $collection = Mage::getResourceModel('customer/attribute_collection')
                ->addVisibleFilter()
                ->addExcludeHiddenFrontendFilter()
                ->addFieldToFilter('attribute_code', array('neq' => 'email'));
            foreach ($collection as $attribute) {
                $this->_options[] = array(
                    'value' => $attribute->getAttributeCode(),
                    'label' => Mage::helper('adminhtml')->__($attribute->getFrontendLabel())
                );
            }

            // Customer Address Attributes
            $this->_options = array_merge($this->_options, array(
                array('value' => 'company', 'label' => Mage::helper('adminhtml')->__('Company')),
                array('value' => 'street', 'label' => Mage::helper('adminhtml')->__('Street')),
                array('value' => 'city', 'label' => Mage::helper('adminhtml')->__('City')),
                array('value' => 'region', 'label' => Mage::helper('adminhtml')->__('State/Province')),
                array('value' => 'country', 'label' => Mage::helper('adminhtml')->__('Country')),
                array('value' => 'postcode', 'label' => Mage::helper('adminhtml')->__('Zip/Postal Code')),
                array('value' => 'telephone', 'label' => Mage::helper('adminhtml')->__('Telephone')),
                array('value' => 'fax', 'label' => Mage::helper('adminhtml')->__('Fax')),
            ));
        }
        return $this->_options;
    }
}
